- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
CSL_MMCCardCsdObj Struct Reference
MMC/SD Data Structures

CSD Information for MMC and SD card. More...

`#include <csl_mmcsd.h>`

## Data Fields
Uint16 | csdStruct
Uint16 | mmcProt
Uint16 | taac
Uint16 | nsac
Uint16 | tranSpeed
Uint16 | ccc
Uint16 | readBlLen
Uint16 | readBlPartial
Uint16 | writeBlkMisalign
Uint16 | readBlkMisalign
Uint16 | dsrImp
Uint16 | cSize
Uint16 | vddRCurrMin
Uint16 | vddRCurrMax
Uint16 | vddWCurrMin
Uint16 | vddWCurrMax
Uint16 | cSizeMult
Uint16 | eraseBlkEnable
Uint16 | eraseGrpSize
Uint16 | eraseGrpMult
Uint16 | wpGrpSize
Uint16 | wpGrpEnable
Uint16 | defaultEcc
Uint16 | r2wFactor
Uint16 | writeBlLen
Uint16 | writeBlPartial
Uint16 | contProtApp
Uint16 | fileFmtGrp
Uint16 | copyFlag
Uint16 | permWriteProtect
Uint16 | tmpWriteProtect
Uint16 | fileFmt
Uint16 | ecc
Uint16 | crc

## Detailed Description

CSD Information for MMC and SD card.

## Field Documentation

Uint16 CSL_MMCCardCsdObj::ccc

Card command classes

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::contProtApp

Content protection application

Referenced by MMC_getCardCsd().

Uint16 CSL_MMCCardCsdObj::copyFlag

Copy flag

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::crc

Cyclic redundancy check

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::csdStruct

CSD version; 0 - 1.0, 1 - 2.0

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::cSize

Device size

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::cSizeMult

Device size multiplier

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::defaultEcc

Manufacturer Default ECC

Referenced by MMC_getCardCsd().

Uint16 CSL_MMCCardCsdObj::dsrImp

Flag indicates whether card has DSR reg

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::ecc

ECC code

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::eraseBlkEnable

Erase single block enable

Referenced by SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::eraseGrpMult

Erase group multiplier

Referenced by MMC_getCardCsd().

Uint16 CSL_MMCCardCsdObj::eraseGrpSize

Erase sector group size

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::fileFmt

File format

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::fileFmtGrp

File format group

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::mmcProt

MMC protocol version

Referenced by MMC_getCardCsd().

Uint16 CSL_MMCCardCsdObj::nsac

NSAC

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::permWriteProtect

Dis/en-able permanent write protection

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::r2wFactor

Stream write factor

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::readBlkMisalign

Flag indicates read block misalignment

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::readBlLen

Maximum Read Block Length

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::readBlPartial

Indicates if partial read blocks allowed

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::taac

TAAC

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::tmpWriteProtect

Dis/en-able temporary write protection

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::tranSpeed

Max data transmission speed

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::vddRCurrMax

Max. Read Current @ Vdd Max

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::vddRCurrMin

Max. Read Current @ Vdd Min

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::vddWCurrMax

Max. Write Current @ Vdd Max

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::vddWCurrMin

Max. Write Current @ Vdd Min

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::wpGrpEnable

Write protect enable flag

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::wpGrpSize

Write protect group size

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::writeBlkMisalign

Flag indicates write block misalignment

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::writeBlLen

Maximum write block length

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardCsdObj::writeBlPartial

Indicates if partial write blocks allowed

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

The documentation for this struct was generated from the following file:

- csl_mmcsd.h